package com.bonus.sgzb.machine.service.impl;

import com.bonus.sgzb.machine.damain.MaHouse;
import com.bonus.sgzb.machine.damain.MaHouseSet;
import com.bonus.sgzb.machine.mapper.MaHouseSetMapper;
import com.bonus.sgzb.machine.service.MaHouseSetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MaHouseSetImpl implements MaHouseSetService {

    @Autowired
    private MaHouseSetMapper maHouseSetMapper;

    @Override
    public List<MaHouse> getHouseSetList(MaHouseSet maHouseSet) {
        return maHouseSetMapper.getHouseSetList(maHouseSet);
    }

    @Override
    public int maHouseSetAdd(MaHouseSet maHouseSet) {
        return maHouseSetMapper.maHouseSetAdd(maHouseSet);
    }

    @Override
    public int deleteHouseSetById(Long houseId) {
        return maHouseSetMapper.deleteHouseSetById(houseId);
    }

    @Override
    public int updateHouseSet(MaHouseSet maHouseSet) {
        return maHouseSetMapper.updateHouseSet(maHouseSet);
    }
}
